#!/bin/bash

#INTEL_IMPI_BUILD_DIR="$ES_SCRATCH/APPS/NEMO_V40/cfgs/ORCA-INTEL-IMPI/EXP00/"
#GCC_OPENMPI_BUILD_DIR="$ES_SCRATCH/APPS/NEMO_V40/cfgs/ORCA-GCC-OPENMPI/EXP00/"

INTEL_IMPI_BUILD_DIR="$ES_SCRATCH/APPS/NEMO_V40_MIXED/cfgs/ORCA-INTEL-IMPI/EXP00/"
GCC_OPENMPI_BUILD_DIR="$ES_SCRATCH/APPS/NEMO_V40_MIXED/cfgs/ORCA-GCC-OPENMPI/EXP00/"

REF_RUNDIR_EORCA1="$PWD/inputs/inputs-eorca1-5y/exp-eorca1-ref"
RUNDIR_BASE="$ES_SCRATCH/RUNDIR/NEMO/eORCA1-MIXED/36_TS"


for NODE in 1 2 4 8
do
    for MPI_TASKS in 112 80 60
    do
        for MIRROR in {1..10}
        do
#            echo "Rundir for $NODE with $MPI_TASKS (mirror $MIRROR)"
            RUNDIR_NAME=${NODE}-nodes/${MPI_TASKS}-tasks-${MIRROR}-mirror
             ./create_rundir.sh  --install-dir ${INTEL_IMPI_BUILD_DIR} --ref-rundir $REF_RUNDIR_EORCA1 \
                                 --rundir $RUNDIR_BASE/INTEL-IMPI/${RUNDIR_NAME} \
                                 --env $PWD/env/mn5-gpp-intel --force
        done
    done
done


for NODE in 1 2 4 8
do
    for MPI_TASKS in 112 80 60
    do
        for MIRROR in {1..10}
        do
#            echo "Rundir for $NODE with $MPI_TASKS (mirror $MIRROR)"
             RUNDIR_NAME=${NODE}-nodes/${MPI_TASKS}-tasks-${MIRROR}-mirror
             ./create_rundir.sh  --install-dir ${GCC_OPENMPI_BUILD_DIR} --ref-rundir $REF_RUNDIR_EORCA1 \
                                 --rundir $RUNDIR_BASE/GCC-OPENMPI/${RUNDIR_NAME} \
                                 --env $PWD/env/mn5-gpp-gcc-openmpi --force
        done
    done
done
